org.klomp.snark

## Interface CoordinatorListener

- All Known Implementing Classes:
    Snark

      public interface CoordinatorListener

  Callback used when some peer changes state.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `gotMetaInfo(PeerCoordinator coordinator, MetaInfo metainfo)` Called when the PeerCoordinator got the MetaInfo via magnet.
    `boolean` | `overUpBWLimit()`
    `boolean` | `overUpBWLimit(long total)`
    `boolean` | `overUploadLimit(int uploaders)`
    `void` | `peerChange(PeerCoordinator coordinator, Peer peer)` Called when the PeerCoordinator notices a change in the state of a peer.

- - ### Method Detail

    - #### peerChange

          void peerChange(PeerCoordinator coordinator,
                        Peer peer)

      Called when the PeerCoordinator notices a change in the state of a peer.

    - #### gotMetaInfo

          void gotMetaInfo(PeerCoordinator coordinator,
                         MetaInfo metainfo)

      Called when the PeerCoordinator got the MetaInfo via magnet.
      Since:
        0.8.4

    - #### overUploadLimit

          boolean overUploadLimit(int uploaders)

    - #### overUpBWLimit

          boolean overUpBWLimit()

    - #### overUpBWLimit

          boolean overUpBWLimit(long total)